/* You can either copy the below and paste it between style tags on your HTML page, OR you can copy this to a file and name it .css and link it from your HTML page. */

@font-face {
  font-family:"Hip Horay";
  src: url("Hip_Horay.eot?") format("eot"), url("Hip_Horay.woff") format("woff"),url("Hip_Horay.ttf") format("truetype"),url("Hip_Horay.svg#HipHoray") format("svg");
  font-weight:normal;
  font-style:normal;
}

@font-face {
  font-family:"Strike Coffee";
  src: url("Strike Coffee.ttf") format("truetype");
  font-weight:normal;
  font-style:normal;
}

:root {
  
  --header-bg:#9deb81;
  --nav-bg:#9deb81;
  --nav-bg2:#75ddf0;
  --article-bg:#75ddf0;
  --border-color:#9deb81;
  --sidebar-text-color:#4562f5;
  --article-text-color:#4562f5;
  --article-heading-color:#4562f5;
  --nav-link-color:#4562f5;
  --darker-border-color:#9deb81;
  
}

html, body {
  padding:0;
  margin:0;
}
body {
  font-size:12px;
  font-family:"Strike Coffee";
  background-image: url('paper.jpg');
  position: relative; 
  z-index: -1;
}
body a {
  color:var(--nav-link-color);
}

header, nav {
  max-width:100%;
}
aside {
  width:250px;
  margin-top:30px;
}

aside img {
  max-width: 100%; /* A imagem nÃ£o ultrapassa a largura do pai */
  height: auto;     /* MantÃ©m a proporÃ§Ã£o da imagem */
  display: block;   /* Remove espaÃ§o em branco inferior extra */
}

.flex {
  display:flex;
  max-width:900px;
}
nav {
  height:auto;
  margin-bottom:10px;
}
main {
  width:100%;
  margin-left:20px;
  margin-right:20px;
}
main img {
  max-width: 100%; /* A imagem nÃ£o ultrapassa a largura do pai */
  height: auto;     /* MantÃ©m a proporÃ§Ã£o da imagem */
  display: block;   /* Remove espaÃ§o em branco inferior extra */
}
section {
  margin-bottom:10px;
  
}
article { 
  border:1px solid var(--darker-border-color);
  margin-bottom:15px;
  background-color:var(--article-bg);
  color:var(--article-text-color);
  padding:10px;
  border-radius:10px;
}
.subtitle {
  border:1px solid var(--darker-border-color);
  border-radius:10px;
  background-color:var(--nav-bg);
  position: relative;
  text-align: center;
  z-index: 2; /* Fica acima do background */
}
.subtitle2 {
  border:1px solid var(--darker-border-color);
  border-radius:10px;
  background-color:var(--nav-bg);
  position: relative;
  z-index: 2; /* Fica acima do background */
}
.subtitle3 {
  border:1px solid var(--darker-border-color);
  border-radius:10px;
  background-color:var(--nav-bg);
  position: relative;
  z-index: 2; /* Fica acima do background */
  
}
.links {
  list-style-type:none;
  padding-left:0;
}
.links li {
  background-color:var(--nav-bg2);
  border:1px solid var(--border-color);
  margin-bottom:3px;
}
.links li a {
  text-decoration:none;
  color:inherit;
}
.nav {
  margin-top:10px;
  margin-left:100px;
}
.nav li {
  display:inline-block;
  padding-left:30px;
}
.nav li a {
  text-decoration:none;
  text-transform:uppercase;
  color:var(--nav-link-color);
}
.left-sidebar {
  margin-left:50px;
  color:var(--article-text-color)
}
.right-sidebar {
  color:var(--article-text-color)
}
.subtitle {
  color:var(--article-text-color);
  font-weight:bold;
  letter-spacing:1px;
  text-transform:uppercase;
  font-size:30px;
}

.summary {
  color:var(--article-text-color);
  font-weight:normal;
  letter-spacing:1px;
  text-transform:uppercase;
  font-size:20px;
}

.container2 .subtitle {
  text-transform:uppercase;
  font-size:25px;
  color:var(--article-heading-color);
  margin-top:10px;
  margin-left:5px;
  margin-right:5px;
  margin-bottom:10px;
  
}
.container3 .subtitle {

  text-transform:uppercase;
  font-size:40px;
  color:var(--article-heading-color);
  margin-top:10px;
  margin-left:5px;
  margin-right:5px;
  margin-bottom:10px;
  
}

article .details {
  text-transform:uppercase;
  font-size:20px;
  margin-top:10px;
  margin-left:5px;
  margin-right:5px;
  margin-bottom:10px;
  
}

article .summary {
  text-transform:uppercase;
  font-size: 15px;
  margin-top:10px;
  margin-left:5px;
  margin-right:5px;
  margin-bottom:10px;
  
}
article .subtitle {
  text-transform:uppercase;
  font-size:35px;
  color:var(--article-heading-color);
  margin-top:10px;
  margin-left:5px;
  margin-right:5px;
  margin-bottom:10px;
  
}
article .subtitle2 {
  text-transform:uppercase;
  font-size:25px;
  color:var(--article-heading-color);
  margin-top:10px;
  margin-left:5px;
  margin-right:5px;
  margin-bottom:10px;
  
}
article .subtitle3 {
  text-transform:uppercase;
  font-size:20px;
  color:var(--article-heading-color);
  margin-top:10px;
  margin-left:5px;
  margin-right:5px;
  margin-bottom:10px;
  
}
nav {
  border:2px solid var(--darker-border-color);
  border-left:none;
  border-right:none;
}
footer {
  max-width:800px;
  text-align:center;
  color:var(--sidebar-text-color);
}
footer a{
  color:var(--navbar-link-color);
}

.container2 {
  border-radius:10px;
  display: flex;
  justify-content: center; /* Centraliza horizontalmente */
  align-items: center;     /* Centraliza verticalmente */
  height: 100vh;           /* Define altura da tela (100% da viewport height) */
}
.container3 {
  display: flex;
  justify-content: center; /* Centraliza horizontalmente */
  align-items: center;     /* Centraliza verticalmente */
  height: 100vh;           /* Define altura da tela (100% da viewport height) */
}

@media only screen and (max-width: 800px) {
  .flex {
    flex-wrap:wrap;
  }
  aside {
    display:flex;
    width:100%;
    margin-left:20px;
    margin-right:20px;
  }
  aside > section {
    margin-right:10px;
  }
  .nav {
    margin-left:0 !important;
    margin-right:50px;
  }
  .nav li {
    padding-bottom:5px;
  }
}